Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.register
Class ServiceSender

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--com.jxml.qare.qhome.register.ServiceSender

All Implemented Interfaces:
  Runnable

public class ServiceSender
extends Thread

Registration timer class. This class, like all classes except for QServlet in the register package, is included in the common classes and not in the war file.

Field Summary
`static P2PPlugin` | `registerPlugin`
`static ServiceSender` | `serviceSender`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ServiceSender()`

Method Summary
`void` | `notifier()`
`void` | `run()`
`static void` | `sendRegistrationRequest(DBSystem.Row toSystem)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### registerPlugin

    public static P2PPlugin registerPlugin

### serviceSender

    public static ServiceSender serviceSender

Constructor Detail

### ServiceSender

    public ServiceSender()

Method Detail

### notifier

    public void notifier()

### run

    public void run()

  Overrides:
    `run` in class `Thread`

### sendRegistrationRequest

    public static void sendRegistrationRequest(DBSystem.Row toSystem)
                                        throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD